clear
close all
clc

% Set all arguments that need to be passed. These are the defaults in the
% online tool:
trysimpleset = 1; tryextendedset=0; trymetabolicset=1; tryNOSHset=0;
fitquadratic=1; fitquadraticeveniflinearworked=0;
cutoff_rmsd = 100000; cutoff_r = 0; cutoff_p = 0.01; cutoff_p_val_for_change=0.05;
showplots=0;

% Sequence must be set like this, and absent in the data table
sequence = ['HPETLVKVKDAEDQLGARVGYIELDLNSGKILESFRPEERFPMMSTFKVLLCGAVLSRVDAGQEQLGRRIHYSQNDLVEYSPVTEKHLTDGMTVRELCSAAITMSDNTAANLLLTTIGGPKELTAFLHNMGDHVTRLDRWEPELNEAIPNDERDTTMPAAMATTLRKLLTGELLTLASRQQLIDWMEADKVAGPLLRSALPAGWFIADKSGAGERGSRGIIAALGPDGKPSRIVVIYTTGSQATMDERNRQIAEIGASLIKHW'];

% Call function in same folder, passing filename as first argument. This
% file shouldn't have any amino acid names, which are given just as the
% sequence.
psychoprot('data_Bc2_structure-consistent_alignment.txt', sequence, trysimpleset, tryextendedset, trymetabolicset, tryNOSHset, showplots, cutoff_rmsd, cutoff_r, cutoff_p, cutoff_p_val_for_change, fitquadratic, fitquadraticeveniflinearworked);

